<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.ldt.agent.mapper.AgentBillsMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="agentBillsResultMap" type="org.springblade.ldt.agent.entity.AgentBills">
        <result column="id" property="id"/>
        <result column="create_time" property="createTime"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="agenter" property="agenter"/>
        <result column="payment" property="payment"/>
        <result column="payer" property="payer"/>
        <result column="receiver" property="receiver"/>
        <result column="type" property="type"/>
        <result column="fee" property="fee"/>
        <result column="price" property="price"/>
        <result column="trade_no" property="tradeNo"/>
    </resultMap>


    <select id="selectAgentBillsPage" resultMap="agentBillsResultMap">
        select * from ldt_agent_bills where is_deleted = 0
    </select>

</mapper>
